package application

import (
	"vegan-barcode/internal/models"
)

func (a *Application) GetClaims(system string, barcode string) (*models.ProductClaims, error) {
	id, err := a.db.FindProductIDByBarcode(system, barcode)
	if err != nil {
		return nil, err
	}

	claims, err := a.db.FindClaimsByProductID(id)
	if err != nil {
		return nil, err
	}

	return &models.ProductClaims{Id: id, Claims: claims}, nil
}
