package database

import (
	"time"
	"vegan-barcode/internal/models"
)

type Product struct {
	Id         int       `ksql:"id"`
	System     string    `ksql:"system"`
	Barcode    string    `ksql:"barcode"`
	Created_at time.Time `ksql:"created_at,timeNowUTC"`
}

type AutomatedClaim struct {
	id            int               `ksql:"id"`
	product_id    int               `ksql:"product_id"`
	worker_type   models.WorkerType `ksql:"worker_type"`
	evidence      struct{}          `ksql:"evidence,json"`
	claim         models.ClaimType  `ksql:"claim"`
	counter_claim models.ClaimType  `ksql:"counter_claim"`
	created_at    time.Time         `ksql:"created_at,timeNowUTC"`
}

type UserClaim struct {
	id            int                 `ksql:"id"`
	product_id    int                 `ksql:"product_id"`
	evidence_type models.EvidenceType `ksql:"evidence_type"`
	evidence      struct{}            `ksql:"evidence,json"`
	claim         models.ClaimType    `ksql:"claim"`
	counter_claim models.ClaimType    `ksql:"counter_claim"`
	created_at    time.Time           `ksql:"created_at,timeNowUTC"`
	created_by    string              `ksql:"created_by"`
}
